Bug 220271 - kernels from FC6 die in do_unblank_screen()
kernels from FC6 die in do_unblank_screen()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-12-19 19:11 EST by Michal Jaegermann
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 21:36:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
frozen screen picture for 2.6.18-1.2798.fc6 (375.32 KB, image/jpeg)
2006-12-19 19:11 EST, Michal Jaegermann
no flags Details
frozen screen picture for 2.6.18-1.2868.fc6 (378.89 KB, image/jpeg)
2006-12-19 19:12 EST, Michal Jaegermann
no flags Details
dmesg from a boot with 1 Gig of memory "lost" (23.85 KB, text/plain)
2006-12-19 19:13 EST, Michal Jaegermann
no flags Details
an output from 'cat /proc/cpuinfo' (1.22 KB, text/plain)
2006-12-19 19:14 EST, Michal Jaegermann
no flags Details
dmidecode with the latest BIOS (20.90 KB, text/plain)
2006-12-19 19:16 EST, Michal Jaegermann
no flags Details
PCI devices detected on the board (1.39 KB, text/plain)
2006-12-19 19:17 EST, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2006-12-19 19:11:08 EST
Description of problem:

On P5B Asus board with Intel(R) Core(TM)2 CPU and 4 GB of installed
memory an attempt to boot 2.6.18-1.2798.fc6 or 2.6.18-1.2868.fc6
causes an instant lockup pretty close to a beginnig of the whole boot
sequence _provided_ "memory reallocation" feature in BIOS is _not_
disabled.  OTOH if you will do this disabling then a machine does boot
but it is loosing a gig of memory with an output of 'free -m' as
follows:
             total       used       free     shared    buffers     cached
Mem:          2948        559       2389          0         17        335
-/+ buffers/cache:        205       2742
Swap:         1983          0       1983

Updating to the latest available BIOS does not help.

A lockup happens pretty much at the beginning of the whole boot.
At least whatever is printed on a screen scrolls way too fast for
anybody to read anything out of that and after that there is no
reaction to anything whatsoever (and there is no serial port so
no way to try to capture an output that way).  I attach two
screen pictures with whatever is frozen on screen.  One from
2.6.18-1.2798.fc6 boot and one from 2.6.18-1.2868.fc6.  They do
not differ that much with an exception of "CR2" on the screen top,
which is not even in the same range, and slightly different address
for _sinittext.

Apart of these two picturea attached are a dmesg output from a boot
with a "memory reallocation" disabled, and from 'cat /proc/cpuinfo',
from 'dmidecode' and from 'lspci -tv'.

How reproducible:
As described - always, unfortunately.
Comment 1 Michal Jaegermann 2006-12-19 19:11:08 EST
Created attachment 144061 [details]
frozen screen picture for 2.6.18-1.2798.fc6
Comment 2 Michal Jaegermann 2006-12-19 19:12:35 EST
Created attachment 144062 [details]
frozen screen picture for 2.6.18-1.2868.fc6
Comment 3 Michal Jaegermann 2006-12-19 19:13:52 EST
Created attachment 144063 [details]
dmesg from a boot with 1 Gig of memory "lost"
Comment 4 Michal Jaegermann 2006-12-19 19:14:42 EST
Created attachment 144064 [details]
an output from 'cat /proc/cpuinfo'
Comment 5 Michal Jaegermann 2006-12-19 19:16:15 EST
Created attachment 144065 [details]
dmidecode with the latest BIOS
Comment 6 Michal Jaegermann 2006-12-19 19:17:22 EST
Created attachment 144066 [details]
PCI devices detected on the board
Comment 7 Jon Stanley 2008-01-07 20:55:32 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 8 Michal Jaegermann 2008-01-07 21:16:41 EST
I cannot provide any info as I do not have an access to this hardware.
I had at the time I filed the bug but this was over a year ago and
nobody looked particularly interested.

Note You need to log in before you can comment on or make changes to this bug.